[SOLVED]: libgcc_s.so.1 must be installed for pthread_cancel to work | For TeamViewer 6.0.9258 | CentOS 6 x86_64 | RHEL x86_64 | 64-Bit

Hello,

I have already posted howto for Enabling TeamViewer 6.0.9258 as root.

If you have Enabled Root login or you have installed TeamViewer 6.0.9258 on CentOS 6 or RHEL 6 and you are getting following error then this post is your friend :-

libgcc_s.so.1 must be installed for pthread_cancel to work

Some Users were facing the issue on RHEL 6 ( Red Hat Enterprise Linux 6) and CentOS 6.

I managed to solve this issue, So posting the solution here, but as always tested on single desktop, As its a library related things so if you don’t know what you are doing then don’t follow this post.

Again Whatever you follow its completely on your own risk, Nobody is responsible if anything goes wrong.

To Solve this error please perform following steps :-

1) Become root to perform this step. You can become root by following command

[famous@tejas-barot-linux-blog-ahmedabad ~]$ su –

2) Execute Following command on your Terminal :-

# To Execute Following command, Internet Must be working from Terminal

[root@tejas-barot-linux-blog-ahmedabad]# rpm -ivh http://www.tejasbarot.com/RPMs/libgcc-4.4.4-13.el6.i686.rpm
# If Internet is not working from Terminal then You can Download RPM :-

To Download RPM Click on This link :- http://www.tejasbarot.com/RPMs/libgcc-4.4.4-13.el6.i686.rpm

Once Download gets finished then execute following command :-

[root@tejas-barot-linux-blog-ahmedabad]# rpm -ivh libgcc-4.4.4-13.el6.i686.rpm

3) That’s it, Once It gets Installed Successfully

4) Now Execute “teamviewer” command from root or you can also open TeamViewer from Applications -> Internet -> TeamViewer

Hope guys this helps you. Waiting for your comments and Feedback.

If this works for your then Please Click Google +1 Buttonand Show Your Support. Your Support will encourage me to write more articles.

Enjoy TeamViewer 6.0.9258 as root :) Enjoy Open Source :) Enjoy Linux :)